diff --git a/ruby-gstreamer1.0.cygport b/ruby-gstreamer1.0.cygport
index 7f7ecf2..52bfdf9 100644
--- a/ruby-gstreamer1.0.cygport
+++ b/ruby-gstreamer1.0.cygport
@@ -2,12 +2,15 @@ ORIG_PN="gstreamer"
 inherit rubygem
 
 NAME="ruby-gstreamer1.0"
-VERSION=3.2.9
+VERSION=4.1.7
 RELEASE=1
 CATEGORY="Ruby"
 SUMMARY="Ruby GStreamer 1.0 bindings"
 DESCRIPTION="Ruby/GStreamer is a Ruby binding for GStreamer 1.0."
-HOMEPAGE="http://ruby-gnome2.sourceforge.jp/"
+HOMEPAGE="https://ruby-gnome.github.io/"
+
+BUILD_REQUIRES="libgstreamer1.0-devel ruby-glib2-devel ruby-gobject-introspection-devel ruby-pkg-config"
+LICENSE="LGPL-2.1-or-later"
 
 PKG_NAMES="${NAME} ${NAME}-devel ${NAME}-doc"
 ruby_gstreamer1_0_REQUIRES="girepository-Gst1.0"
@@ -15,6 +18,5 @@ ruby_gstreamer1_0_CONTENTS="--exclude=sample ${RUBYGEM_EXTDIR#/} ${RUBYGEM_INSTD
 ruby_gstreamer1_0_devel_REQUIRES="${NAME}"
 ruby_gstreamer1_0_devel_CONTENTS="usr/lib/pkgconfig/"
 ruby_gstreamer1_0_doc_CONTENTS="${RUBYGEM_DOCDIR#/} ${RUBYGEM_INSTDIR#/}/sample/"
-PKG_IGNORE="usr/lib/lib*.a"
 
 DEPS_PATH="${RUBYGEM_EXTDIR%/*}/glib2-${VERSION}:${RUBYGEM_EXTDIR%/*}/gobject-introspection-${VERSION}"
